RubyGems Navigation menu

daru 0.3

Daru (Data Analysis in RUby) is a library for analysis, manipulation and visualization of data. Daru works seamlessly accross interpreters and leverages interpreter-specific optimizations whenever they are available. It is the default data storage gem for all the statsample gems (glm, timeseries, etc.) and can be used with many others like mixed_models, gnuplotrb, nyaplot and iruby.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.3 - May 30, 2020 (699 KB)
  2. 0.2.2 - August 11, 2019 (687 KB)
  3. 0.2.1 - July 02, 2018 (684 KB)
  4. 0.2.0 - November 01, 2017 (682 KB)
  5. 0.1.6 - August 09, 2017 (674 KB)
Show all versions (23 total)

Runtime Dependencies (1):

packable ~> 1.3.13

Development Dependencies (25):

activerecord ~> 6.0
bundler >= 1.10
dbi >= 0
distribution ~> 0.7
gruff >= 0
gsl ~> 2.1.0.2
mechanize >= 0
nmatrix ~> 0.2.1
nokogiri >= 0
nyaplot ~> 0.1.5
pry ~> 0.10
pry-byebug >= 0
rake ~> 13.0
rserve-client ~> 0.3
rspec ~> 3.4
rspec-its >= 0
rubocop ~> 0.49.0
ruby-prof >= 0
simplecov >= 0
spreadsheet ~> 1.1.1
sqlite3 >= 0
webmock >= 0

Owners:

Pushed by:

Authors:

  • Sameer Deshmukh

SHA 256 checksum:

46443fb21b63cf30e3e45aee37b93f9e45206fdcccb7c6d683a7224c849154e3

Total downloads 1,955,586

For this version 1,259,028

License:

BSD-2

Required Ruby Version: >= 0

Links: